summaryrefslogtreecommitdiffstats
path: root/god
diff options
context:
space:
mode:
authorroot <root@krebs>2011-08-25 21:50:14 +0200
committerroot <root@krebs>2011-08-25 21:50:14 +0200
commitbca44610df5de4543c3d86e916e45a5ca05544bf (patch)
tree5620a345ed6b6c90630c8c37a89cf069d5651552 /god
parent848e60588d0b4d05089fd44e3fbe6c413c5dfaf6 (diff)
Workz now
Diffstat (limited to 'god')
-rwxr-xr-xgod/licht15
1 files changed, 15 insertions, 0 deletions
diff --git a/god/licht b/god/licht
new file mode 100755
index 00000000..2b05b9f3
--- /dev/null
+++ b/god/licht
@@ -0,0 +1,15 @@
+#!/bin/bash
+LAMPE=`echo $1 | sed -n '/^[1-2]*[0-9]*[0-9]$/p' | xargs echo "obase=16;" | bc`
+TOGGLE=`echo $2 | sed -n '/^[0-1]$/p'`
+if ! [ "$LAMPE" -a "$TOGGLE" ];then
+ echo "you are made of stupid"
+ exit 1
+fi
+STRING="\xA5\x5A\x$LAMPE\x$TOGGLE"
+if [ $# != 2 ]
+then
+ echo -ne "Usage: licht <lampe> <0/1>"
+else
+ echo "$LAMPE$TOGGLE"
+ echo -ne "$STRING" | nc -u -w1 licht.shack 1337
+fi